org.apache.maven.artifact.factory

## Interface ArtifactFactory

All Known Implementing Classes:
  DefaultArtifactFactory, ProjectArtifactFactory

    public interface ArtifactFactory

### Field Summary

Fields
`static java.lang.String` `ROLE`

### Method Summary

Methods
`Artifact` `createArtifact(java.lang.String groupId, java.lang.String artifactId, java.lang.String version, java.lang.String scope, java.lang.String type)`
`Artifact` `createArtifactWithClassifier(java.lang.String groupId, java.lang.String artifactId, java.lang.String version, java.lang.String type, java.lang.String classifier)`
`Artifact` `createBuildArtifact(java.lang.String groupId, java.lang.String artifactId, java.lang.String version, java.lang.String packaging)`
`Artifact` `createDependencyArtifact(java.lang.String groupId, java.lang.String artifactId, VersionRange versionRange, java.lang.String type, java.lang.String classifier, java.lang.String scope)`
`Artifact` `createDependencyArtifact(java.lang.String groupId, java.lang.String artifactId, VersionRange versionRange, java.lang.String type, java.lang.String classifier, java.lang.String scope, boolean optional)`
`Artifact` `createDependencyArtifact(java.lang.String groupId, java.lang.String artifactId, VersionRange versionRange, java.lang.String type, java.lang.String classifier, java.lang.String scope, java.lang.String inheritedScope)`
`Artifact` `createDependencyArtifact(java.lang.String groupId, java.lang.String artifactId, VersionRange versionRange, java.lang.String type, java.lang.String classifier, java.lang.String scope, java.lang.String inheritedScope, boolean optional)`
`Artifact` `createExtensionArtifact(java.lang.String groupId, java.lang.String artifactId, VersionRange versionRange)`
`Artifact` `createParentArtifact(java.lang.String groupId, java.lang.String artifactId, java.lang.String version)`
`Artifact` `createPluginArtifact(java.lang.String groupId, java.lang.String artifactId, VersionRange versionRange)`
`Artifact` `createProjectArtifact(java.lang.String groupId, java.lang.String artifactId, java.lang.String version)`
`Artifact` `createProjectArtifact(java.lang.String groupId, java.lang.String artifactId, java.lang.String version, java.lang.String scope)`

### Field Detail

#### ROLE

    static final java.lang.String ROLE

### Method Detail

#### createArtifact

    Artifact createArtifact(java.lang.String groupId,
                          java.lang.String artifactId,
                          java.lang.String version,
                          java.lang.String scope,
                          java.lang.String type)

#### createArtifactWithClassifier

    Artifact createArtifactWithClassifier(java.lang.String groupId,
                                        java.lang.String artifactId,
                                        java.lang.String version,
                                        java.lang.String type,
                                        java.lang.String classifier)

#### createDependencyArtifact

    Artifact createDependencyArtifact(java.lang.String groupId,
                                    java.lang.String artifactId,
                                    VersionRange versionRange,
                                    java.lang.String type,
                                    java.lang.String classifier,
                                    java.lang.String scope)

#### createDependencyArtifact

    Artifact createDependencyArtifact(java.lang.String groupId,
                                    java.lang.String artifactId,
                                    VersionRange versionRange,
                                    java.lang.String type,
                                    java.lang.String classifier,
                                    java.lang.String scope,
                                    boolean optional)

#### createDependencyArtifact

    Artifact createDependencyArtifact(java.lang.String groupId,
                                    java.lang.String artifactId,
                                    VersionRange versionRange,
                                    java.lang.String type,
                                    java.lang.String classifier,
                                    java.lang.String scope,
                                    java.lang.String inheritedScope)

#### createDependencyArtifact

    Artifact createDependencyArtifact(java.lang.String groupId,
                                    java.lang.String artifactId,
                                    VersionRange versionRange,
                                    java.lang.String type,
                                    java.lang.String classifier,
                                    java.lang.String scope,
                                    java.lang.String inheritedScope,
                                    boolean optional)

#### createBuildArtifact

    Artifact createBuildArtifact(java.lang.String groupId,
                               java.lang.String artifactId,
                               java.lang.String version,
                               java.lang.String packaging)

#### createProjectArtifact

    Artifact createProjectArtifact(java.lang.String groupId,
                                 java.lang.String artifactId,
                                 java.lang.String version)

#### createParentArtifact

    Artifact createParentArtifact(java.lang.String groupId,
                                java.lang.String artifactId,
                                java.lang.String version)

#### createPluginArtifact

    Artifact createPluginArtifact(java.lang.String groupId,
                                java.lang.String artifactId,
                                VersionRange versionRange)

#### createProjectArtifact

    Artifact createProjectArtifact(java.lang.String groupId,
                                 java.lang.String artifactId,
                                 java.lang.String version,
                                 java.lang.String scope)

#### createExtensionArtifact

    Artifact createExtensionArtifact(java.lang.String groupId,
                                   java.lang.String artifactId,
                                   VersionRange versionRange)